'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jss = require('jss');
var preset = require('jss-preset-default');
var reactJss = require('react-jss');
var jssPluginRuleValueFunction = require('jss-plugin-rule-value-function');
var jssPluginRuleValueObservable = require('jss-plugin-rule-value-observable');
var jssPluginTemplate = require('jss-plugin-template');
var jssPluginGlobal = require('jss-plugin-global');
var jssPluginExtend = require('jss-plugin-extend');
var jssPluginNested = require('jss-plugin-nested');
var jssPluginCompose = require('jss-plugin-compose');
var jssPluginCamelCase = require('jss-plugin-camel-case');
var jssPluginDefaultUnit = require('jss-plugin-default-unit');
var jssPluginExpand = require('jss-plugin-expand');
var jssPluginVendorPrefixer = require('jss-plugin-vendor-prefixer');
var jssPluginPropsSort = require('jss-plugin-props-sort');
var jssPluginIsolate = require('jss-plugin-isolate');
var jssPluginCache = require('jss-plugin-cache');

console.warn("The JSS Starter Kit is for learning and experimentation.  It's not optimized for production deployment.\n\nIf you'd like to use JSS in production, try including the \"jss\" and \"jss-preset-default\" modules directly.  See an example at https://github.com/cssinjs/jss#example");
jss.setup(preset());

exports.default = jss;
exports.preset = preset;
exports.withStyles = reactJss;
exports.functions = jssPluginRuleValueFunction;
exports.observable = jssPluginRuleValueObservable;
exports.template = jssPluginTemplate;
exports.global = jssPluginGlobal;
exports.extend = jssPluginExtend;
exports.nested = jssPluginNested;
exports.compose = jssPluginCompose;
exports.camelCase = jssPluginCamelCase;
exports.defaultUnit = jssPluginDefaultUnit;
exports.expand = jssPluginExpand;
exports.vendorPrefixer = jssPluginVendorPrefixer;
exports.propsSort = jssPluginPropsSort;
exports.isolate = jssPluginIsolate;
exports.cache = jssPluginCache;
Object.keys(jss).forEach(function (k) {
	if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return jss[k]; }
	});
});
Object.keys(reactJss).forEach(function (k) {
	if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return reactJss[k]; }
	});
});
